<?php
/**
 * Partial: Top bar template - displayed above header
 */
?>

<?php if (!Bunyad::options()->disable_topbar): ?>
	
	<div class="top-bar">

		<div class="wrap">
			<section class="top-bar-content">
			
				<?php if (!Bunyad::options()->disable_topbar_ticker): ?>
				<div class="trending-ticker">
					<span class="heading"><?php echo Bunyad::options()->topbar_ticker_text; // filtered html allowed for admins ?></span>

					<ul>
						<?php $query = new WP_Query(apply_filters('bunyad_ticker_query_args', array('orderby' => 'date', 'order' => 'desc'))); ?>
						
						<?php while($query->have_posts()): $query->the_post(); ?>
						
							<li><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
						
						<?php endwhile; ?>
						
						<?php wp_reset_postdata(); ?>
					</ul>
				</div>
				<?php endif; ?>

				<?php get_template_part('partials/header/search'); ?>

				<?php dynamic_sidebar('top-bar'); ?>
				
			</section>
		</div>
		
	</div>
	
<?php elseif (Bunyad::options()->mobile_nav_search): // add hidden top bar for mobile nav search support ?>
	
	<div class="top-bar hidden">
	
		<?php get_template_part('partials/header/search'); ?>
	
	</div>
	
<?php endif; ?>